View Issue Details

IDProjectCategoryLast Update
0019751AI War 2[All Projects] Crash/ExceptionJul 13, 2018 2:23 pm
ReporterOvalcircleAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.749 Release The Hounds 
Fixed in Version0.750 My Friend The Marauder 
Summary0019751: Selecting Dark Spire causes an error as soon as the game starts
Description^

Edit: It was only happening on the "Grid" map type
TagsNo tags attached.

Activities

Ovalcircle

Jul 11, 2018 8:45 pm

reporter  

ArcenDebugLog.txt (4,846 bytes)
7/11/2018 8:42:05 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:42:06 PM	PLAYER DISCONNECTED 0.0.0.0=>0
ArcenDebugLog.txt (4,846 bytes)

Ovalcircle

Jul 11, 2018 9:02 pm

reporter   ~0047823

Here's an updated debug log. Probably the same error, but more times.

ArcenDebugLog-2.txt (87,445 bytes)
7/11/2018 8:42:05 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:42:06 PM	PLAYER DISCONNECTED 0.0.0.0=>0
7/11/2018 8:47:17 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
7/11/2018 8:47:17 PM	Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
7/11/2018 8:47:17 PM	No resolution change was required.
7/11/2018 8:47:17 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
7/11/2018 8:47:17 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
7/11/2018 8:47:36 PM	ArcenAssetBundleCache.InstantiatedObjects: 620
7/11/2018 8:47:36 PM	Game Version: 0.749
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
7/11/2018 8:47:36 PM	21.4 seconds total load time.

SetDirectoriesToBeUsed (1.6s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (9.0s)
ArcenUIPrefabTable (0.3s)
SpaceboxDefinitionTable (0.3s)
PlanetDefinitionTable (0.7s)
GameEntityTypeDataTable.Initialize (0.4s)
GameEntityTypeDataTable.InitVisualBits (4.5s)
SurrogateTableTable (0.4s)
7/11/2018 8:47:37 PM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at ArcenGameController.Update () [0x000c1] in D:\vclarge\AI_War_2_Ultra\AIW2Unity\Assets\ArcenCode\ArcenGameController.cs:77 

7/11/2018 8:49:42 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
7/11/2018 8:49:42 PM	Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
7/11/2018 8:49:43 PM	No resolution change was required.
7/11/2018 8:49:43 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
7/11/2018 8:49:43 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
7/11/2018 8:50:02 PM	ArcenAssetBundleCache.InstantiatedObjects: 620
7/11/2018 8:50:02 PM	Game Version: 0.749
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
7/11/2018 8:50:02 PM	21.1 seconds total load time.

SetDirectoriesToBeUsed (0.8s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (9.5s)
ArcenUIPrefabTable (0.3s)
PlanetDefinitionTable (0.5s)
GameEntityTypeDataTable.Initialize (0.4s)
GameEntityTypeDataTable.InitVisualBits (4.5s)
SurrogateTableTable (0.3s)
7/11/2018 8:50:02 PM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at ArcenGameController.Update () [0x000c1] in D:\vclarge\AI_War_2_Ultra\AIW2Unity\Assets\ArcenCode\ArcenGameController.cs:77 

7/11/2018 8:50:54 PM	Successfully opened host socket
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'outerThreadFor_ArcenShortTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'strengthCountingContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'movePlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'targetingContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'collisionContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'metalFlowContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'ProtectionContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'tachyonContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'tractorContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'gravityContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'aiwcGravityContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'outerThreadFor_ArcenExecutionContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'executionContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'outerThreadFor_ArcenLongTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'specialFactionContext_2_AI' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'specialFactionContext_3_AISpecialForces' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'specialFactionContext_4_HunterFleet' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'specialFactionContext_8_AntagonizedDysonSphere' in state Background, WaitSleepJoin
7/11/2018 8:52:51 PM	Clearing world, so killing thread 'specialFactionContext_9_HumanMarauders' in state Background, WaitSleepJoin
7/11/2018 8:52:54 PM	PLAYER DISCONNECTED 0.0.0.0=>0
7/11/2018 8:52:54 PM	World Created, Launching Server
7/11/2018 8:52:54 PM	Successfully opened host socket
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'executionContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'outerThreadFor_ArcenShortTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'strengthCountingContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'movePlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'targetingContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'collisionContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'metalFlowContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'ProtectionContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'tachyonContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'tractorContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'gravityContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'aiwcGravityContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'outerThreadFor_ArcenExecutionContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'outerThreadFor_ArcenLongTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'specialFactionContext_32_AI' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'specialFactionContext_33_AISpecialForces' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'specialFactionContext_34_HunterFleet' in state Background, WaitSleepJoin
7/11/2018 8:53:16 PM	Clearing world, so killing thread 'specialFactionContext_38_AntagonizedDysonSphere' in state Background
7/11/2018 8:53:17 PM	PLAYER DISCONNECTED 0.0.0.0=>0
7/11/2018 8:53:17 PM	World Created, Launching Server
7/11/2018 8:53:18 PM	Successfully opened host socket
7/11/2018 8:53:32 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:33 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:34 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:35 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:36 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:37 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:38 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:39 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:40 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:40 PM	Clearing world, so killing thread 'executionContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'outerThreadFor_ArcenShortTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'strengthCountingContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'movePlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'targetingContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'collisionContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'metalFlowContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'ProtectionContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'tachyonContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'tractorContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'gravityContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'aiwcGravityContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'outerThreadFor_ArcenExecutionContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'outerThreadFor_ArcenLongTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'specialFactionContext_61_AI' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'specialFactionContext_62_AISpecialForces' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'specialFactionContext_63_HunterFleet' in state Background, WaitSleepJoin
7/11/2018 8:53:40 PM	Clearing world, so killing thread 'specialFactionContext_67_AntagonizedDysonSphere' in state Background, WaitSleepJoin
7/11/2018 8:53:41 PM	PLAYER DISCONNECTED 0.0.0.0=>0
7/11/2018 8:53:41 PM	World Created, Launching Server
7/11/2018 8:53:41 PM	Successfully opened host socket
7/11/2018 8:53:44 PM	Welcome to the D18 Swirl generator

7/11/2018 8:53:47 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:48 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:49 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:50 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	HandleInCombatAudioCues	794	2471	0	0
	DoPerSecondLogic	57	154	0	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs	DoFactionSecondLogic	49	215	392	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	<>m__0	8	50	436	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoForFactions	21	98	762	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldSecondLogic	41	234	434	0
D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs	DoWorldStepLogic	108	442	224	0
	Execute	83	234	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.SpecialFaction_Human.HandleInCombatAudioCues (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x0031a] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.SpecialFaction_Human.DoPerSecondLogic (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ArcenSimContext Context) [0x00039] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.Core.Faction.DoFactionSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00031] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\Faction\Faction.cs:392 
  at Arcen.AIW2.Core.World_AIW2+<DoWorldSecondLogic>c__AnonStorey2.<>m__0 (Arcen.AIW2.Core.Faction faction) [0x00008] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:436 
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00015] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:762 
  at Arcen.AIW2.Core.World_AIW2.DoWorldSecondLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00029] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:434 
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x0006c] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:224 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00053] in <42c50c1ca5394112b015ca98de3ec8cb>:0 

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x001ed] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:279 
  at Arcen.AIW2.External.SimExecution.Execute () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenExecutionContext.InnerRun () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <42c50c1ca5394112b015ca98de3ec8cb>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

7/11/2018 8:53:50 PM	PLAYER DISCONNECTED 0.0.0.0=>0
7/11/2018 8:53:57 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
7/11/2018 8:53:57 PM	Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
7/11/2018 8:53:57 PM	No resolution change was required.
7/11/2018 8:53:57 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
7/11/2018 8:53:57 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
7/11/2018 8:54:18 PM	ArcenAssetBundleCache.InstantiatedObjects: 620
7/11/2018 8:54:18 PM	Game Version: 0.749
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
7/11/2018 8:54:18 PM	22.8 seconds total load time.

SetDirectoriesToBeUsed (1.3s)
Calculate FInt Sqrt Arrays (0.4s)
LoadFinalSFXStuff (10.4s)
ArcenUIPrefabTable (0.3s)
PlanetDefinitionTable (0.6s)
GameEntityTypeDataTable.Initialize (0.4s)
GameEntityTypeDataTable.InitVisualBits (4.5s)
SurrogateTableTable (0.4s)
7/11/2018 8:54:18 PM
Hello Steam user 'ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x000d1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:155 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00005] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:116 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00004] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:96 
  at ArcenGameController.Update () [0x000c1] in D:\vclarge\AI_War_2_Ultra\AIW2Unity\Assets\ArcenCode\ArcenGameController.cs:77 

7/11/2018 8:54:20 PM	World Created, Launching Server
7/11/2018 8:54:20 PM	Welcome to the D18 Swirl generator

7/11/2018 8:54:21 PM	Successfully opened host socket
7/11/2018 8:54:26 PM	Welcome to the D18 Swirl generator

7/11/2018 8:55:34 PM	Clearing world, so killing thread 'executionContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'outerThreadFor_ArcenShortTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'strengthCountingContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'movePlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'targetingContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'collisionContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'metalFlowContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'ProtectionContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'tachyonContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'tractorContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'gravityContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'aiwcGravityContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'outerThreadFor_ArcenExecutionContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'outerThreadFor_ArcenLongTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'specialFactionContext_12_AI' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'specialFactionContext_13_AISpecialForces' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'specialFactionContext_14_HunterFleet' in state Background, WaitSleepJoin
7/11/2018 8:55:34 PM	Clearing world, so killing thread 'specialFactionContext_18_AntagonizedDysonSphere' in state Background, WaitSleepJoin
7/11/2018 8:55:35 PM	PLAYER DISCONNECTED 0.0.0.0=>0
7/11/2018 8:55:35 PM	World Created, Launching Server
7/11/2018 8:55:35 PM	Welcome to the D18 Swirl generator

7/11/2018 8:55:36 PM	Successfully opened host socket
7/11/2018 8:55:51 PM	Clearing world, so killing thread 'executionContext' in state Background, WaitSleepJoin
7/11/2018 8:55:51 PM	Clearing world, so killing thread 'outerThreadFor_ArcenShortTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:55:51 PM	Clearing world, so killing thread 'strengthCountingContext' in state Background, WaitSleepJoin
7/11/2018 8:55:51 PM	Clearing world, so killing thread 'movePlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:55:51 PM	Clearing world, so killing thread 'targetingContext' in state Background, WaitSleepJoin
7/11/2018 8:55:51 PM	Clearing world, so killing thread 'collisionContext' in state Background, WaitSleepJoin
7/11/2018 8:55:51 PM	Clearing world, so killing thread 'metalFlowContext' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'ProtectionContext' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'tachyonContext' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'tractorContext' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'gravityContext' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'aiwcGravityContext' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'outerThreadFor_ArcenExecutionContext' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'outerThreadFor_ArcenLongTermPlanningContext' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'specialFactionContext_31_AI' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'specialFactionContext_32_AISpecialForces' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'specialFactionContext_33_HunterFleet' in state Background, WaitSleepJoin
7/11/2018 8:55:52 PM	Clearing world, so killing thread 'specialFactionContext_37_AntagonizedDysonSphere' in state Background, WaitSleepJoin
7/11/2018 8:55:53 PM	PLAYER DISCONNECTED 0.0.0.0=>0
7/11/2018 8:55:53 PM	World Created, Launching Server
7/11/2018 8:55:53 PM	Successfully opened host socket
7/11/2018 8:56:08 PM	PLAYER DISCONNECTED 0.0.0.0=>0
ArcenDebugLog-2.txt (87,445 bytes)

BadgerBadger

Jul 12, 2018 12:08 am

manager   ~0047827

That's a really weird error. It has nothing to do with the Dark Spire, it seems to be in the "play sounds for human faction" code.

BadgerBadger

Jul 13, 2018 2:23 pm

manager   ~0047861

I hope this is fixed now. It's a really weird problem

Issue History

Date Modified Username Field Change
Jul 11, 2018 8:45 pm Ovalcircle New Issue
Jul 11, 2018 8:45 pm Ovalcircle File Added: ArcenDebugLog.txt
Jul 11, 2018 8:45 pm Ovalcircle Summary Using Dark Spire causes a error as soon as the game starts => Using Dark Spire causes an error as soon as the game starts
Jul 11, 2018 8:47 pm Ovalcircle Summary Using Dark Spire causes an error as soon as the game starts => Selecting Dark Spire causes an error as soon as the game starts
Jul 11, 2018 8:56 pm Ovalcircle Description Updated View Revisions
Jul 11, 2018 9:02 pm Ovalcircle File Added: ArcenDebugLog-2.txt
Jul 11, 2018 9:02 pm Ovalcircle Note Added: 0047823
Jul 12, 2018 12:08 am BadgerBadger Note Added: 0047827
Jul 12, 2018 12:10 am BadgerBadger Assigned To => BadgerBadger
Jul 12, 2018 12:10 am BadgerBadger Status new => assigned
Jul 13, 2018 2:23 pm BadgerBadger Status assigned => resolved
Jul 13, 2018 2:23 pm BadgerBadger Resolution open => fixed
Jul 13, 2018 2:23 pm BadgerBadger Fixed in Version => 0.750 My Friend The Marauder
Jul 13, 2018 2:23 pm BadgerBadger Note Added: 0047861